Get actual percentage complete 2

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
GET /project/{projectId}/scenario/{scenarioId}/actual-percent-complete

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Path parameters

  • projectId integer(int64) Required
  • scenarioId integer(int64) Required

Query parameters

  • asOfDate string
  • percentCompleteCalculationType string Required

    Values are Duration, Resource, Cost, or Overall.

  • filterId array[integer(int64)]
  • activityCodeFilter array[integer(int64)]

Responses

  • 200 */*

    OK

GET /project/{projectId}/scenario/{scenarioId}/actual-percent-complete
curl \
 --request GET 'https://live.smartpmtech.com/project/{projectId}/scenario/{scenarioId}/actual-percent-complete?percentCompleteCalculationType=Duration' \
 --header "X-API-KEY: $API_KEY" \
 --header "X-COMPANY-ID: string"
Response examples (200)
42.0